//
//  NotePhotoSelectorButton.swift
//  SlipboxProject
//
//  Created by Karin Prater on 24.11.22.
//

import SwiftUI
import PhotosUI

struct NotePhotoSelectorButton: View {
    
   @ObservedObject var note: Note
    @State private var selectedItem: PhotosPickerItem? = nil
    
    var body: some View {
        
        PhotosPicker(selection: $selectedItem,
                     matching: .images,
                     photoLibrary: .shared()) {
            if note.img == nil {
                Text("import a photo")
            } else {
                Text("change photo")
            }
        }
        
       .onChange(of: selectedItem) { newValue in
                         
                         Task {
                             
                             if let data = try? await newValue?.loadTransferable(type: Data.self) {
                                 
                                note.img = data
                             }
                         }
                     }
    }
}

struct NotePhotoSelectorButton_Previews: PreviewProvider {
    static var previews: some View {
        NotePhotoSelectorButton(note: Note(title: "new", context: PersistenceController.preview.container.viewContext))
    }
}
