//
//  ColorTests.swift
//  SlipboxProjectTests
//
//  Created by Karin Prater on 28.11.22.
//

import XCTest
@testable import SlipboxProject
import SwiftUI

final class ColorTests: XCTestCase {
    

    func test_Hex_Color() {

        let colorBlue = Color(hex: "0000FF")
        let colorBlueAlpha = Color(hex: "0000FFFF")
        
        let referenceColorBlue = Color(red: 0, green: 0, blue: 1)
        
        XCTAssertTrue(referenceColorBlue == colorBlue)
        XCTAssertTrue(referenceColorBlue == colorBlueAlpha)
    }
    
    func test_Color_to_Hex() {
        
        let referenceColorBlue = Color(red: 0, green: 0, blue: 1)
        
        let hex = referenceColorBlue.toHex()
        
        XCTAssertTrue(hex == "0000FFFF")
    }

    
    
}
